## simgrid 3.6~rc2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
### Need to set rc ccompiler before enable language
if(WIN32)
    SET(CMAKE_RC_COMPILER "windres")
endif(WIN32)
project(simgrid CXX C)
set(CMAKE_C_FLAGS "" CACHE TYPE INTERNAL FORCE)
set(CMAKE_CXX_FLAGS "" CACHE TYPE INTERNAL FORCE)
set(CMAKE_EXE_LINKER_FLAGS "" CACHE TYPE INTERNAL FORCE)
## Mapping version number -> version name
# 3.5.99 -> alpha1 (oops)
# 3.5.91 -> beta1
# 3.5.92 -> beta2
# 3.5.93 -> rc1
# 3.5.94 -> rc2
set(SIMGRID_VERSION_MAJOR "3")
set(SIMGRID_VERSION_MINOR "5")
set(SIMGRID_VERSION_PATCH "94")
set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
set(libsimgrid_version "${release_version}")
set(libgras_version "${release_version}")
set(libsmpi_version "${release_version}")
set(GCC_NEED_VERSION "4.0")

### SET THE LIBRARY EXTENSION AND GCC VERSION
if(APPLE) #MAC
	set(LIB_EXE "dylib")
else(APPLE)
    if(WIN32) #WINDOWS
        set(LIB_EXE "a")
    else(WIN32) #UNIX
	    set(LIB_EXE "so")
    endif(WIN32)
endif(APPLE)

string(REGEX MATCH "gcc" GCC "${CMAKE_C_COMPILER}")
if(GCC)
	exec_program("${CMAKE_C_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_C_VERSION")
	exec_program("${CMAKE_CXX_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_CXX_VERSION")
	string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_C_VERSION "${COMPILER_C_VERSION}")
	string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_CXX_VERSION "${COMPILER_CXX_VERSION}")
	
	string(REGEX MATCH "^[0-9].[0-9]" COMPILER_C_VERSION_MAJOR_MINOR "${COMPILER_C_VERSION}")
	string(REPLACE "${COMPILER_C_VERSION_MAJOR_MINOR}." "" COMPILER_C_VERSION_PATCH "${COMPILER_C_VERSION}")
	
	if(${GCC_NEED_VERSION} GREATER  COMPILER_C_VERSION_MAJOR_MINOR)
	    message(FATAL_ERROR "Gcc must be to version ${GCC_NEED_VERSION} current version ${COMPILER_C_VERSION_MAJOR_MINOR}")
	endif(${GCC_NEED_VERSION} GREATER  COMPILER_C_VERSION_MAJOR_MINOR)
endif(GCC)

string(REGEX MATCH "cl.exe" VBC "${CMAKE_C_COMPILER}")
if(VBC)
    message(FATAL_ERROR "VB is not yet supported by Simgrid.")
endif(VBC)

### Find programs and paths
FIND_PROGRAM(GCOV_PATH gcov)
include(FindPerl)
if(NOT PERL_EXECUTABLE)
	message(FATAL_ERROR "-- SimGrid cannot be compiled without Perl installed -- sorry. Bailling out.")
endif(NOT PERL_EXECUTABLE)

if(CMAKE_CACHE_MAJOR_VERSION EQUAL "2" AND CMAKE_CACHE_MINOR_VERSION GREATER "7") #need cmake version 2.8
	get_filename_component(TRUE_CMAKE_HOME_DIRECTORY "${CMAKE_HOME_DIRECTORY}" REALPATH)
	get_filename_component(TRUE_CMAKE_BINARY_DIR "${CMAKE_BINARY_DIR}" REALPATH)
	if(${TRUE_CMAKE_HOME_DIRECTORY} STREQUAL ${CMAKE_HOME_DIRECTORY})
	else(${TRUE_CMAKE_HOME_DIRECTORY} STREQUAL ${CMAKE_HOME_DIRECTORY})
		message(STATUS "Change link path '${CMAKE_HOME_DIRECTORY}' to true path '${TRUE_CMAKE_HOME_DIRECTORY}'")
		set(CMAKE_HOME_DIRECTORY "${TRUE_CMAKE_HOME_DIRECTORY}" CACHE TYPE INTERNAL FORCE)
		set(CMAKE_SOURCE_DIR "${TRUE_CMAKE_HOME_DIRECTORY}" CACHE TYPE INTERNAL FORCE)
	endif(${TRUE_CMAKE_HOME_DIRECTORY} STREQUAL ${CMAKE_HOME_DIRECTORY})
	
	if(${TRUE_CMAKE_BINARY_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	else(${TRUE_CMAKE_BINARY_DIR} STREQUAL ${CMAKE_BINARY_DIR})
		message(STATUS "Change link path '${CMAKE_BINARY_DIR}' to true path '${TRUE_CMAKE_BINARY_DIR}'")
		set(CMAKE_BINARY_DIR "${TRUE_CMAKE_BINARY_DIR}" CACHE TYPE INTERNAL FORCE)
	endif(${TRUE_CMAKE_BINARY_DIR} STREQUAL ${CMAKE_BINARY_DIR})	
endif(CMAKE_CACHE_MAJOR_VERSION EQUAL "2" AND CMAKE_CACHE_MINOR_VERSION GREATER "7")

### Set some variables for Cmake
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

if("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_HOME_DIRECTORY}")
	set(INCLUDES
	${CMAKE_HOME_DIRECTORY}
	${CMAKE_HOME_DIRECTORY}/include
	${CMAKE_HOME_DIRECTORY}/src
	${CMAKE_HOME_DIRECTORY}/src/include
	)
else("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_HOME_DIRECTORY}")
	set(INCLUDES
	${CMAKE_HOME_DIRECTORY}
	${CMAKE_HOME_DIRECTORY}/include
	${CMAKE_HOME_DIRECTORY}/src
	${CMAKE_HOME_DIRECTORY}/src/include
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/include
	${CMAKE_BINARY_DIR}/src
	)
endif("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_HOME_DIRECTORY}")

set(INCLUDES ${INCLUDES} ${CMAKE_HOME_DIRECTORY} ${CMAKE_HOME_DIRECTORY}/include ${CMAKE_HOME_DIRECTORY}/src/include ${CMAKE_HOME_DIRECTORY}/src ${CMAKE_BINARY_DIR}/src)
if(WIN32)
    set(INCLUDES ${INCLUDES} ${CMAKE_HOME_DIRECTORY}/include/xbt ${CMAKE_HOME_DIRECTORY}/src/xbt) #for win32_ucontext.[ch]
endif(WIN32)
set(CMAKE_SOURCE_DIR ${PROJECT_SOURCE_DIRECTORY})

if(NOT CMAKE_CROSSCOMPILING AND EXISTS /usr/include/)
	set(INCLUDES ${INCLUDES} /usr/include/)
endif(NOT CMAKE_CROSSCOMPILING AND EXISTS /usr/include/)

### Check 32bits or 64bits
INCLUDE (CheckTypeSize)
CHECK_TYPE_SIZE("long" SIZEOF_LONG)
IF(SIZEOF_LONG EQUAL 4)
  SET(ARCH_32_BITS 1)
ELSE(SIZEOF_LONG EQUAL 4)
  SET(ARCH_32_BITS 0)
ENDIF(SIZEOF_LONG EQUAL 4)

if(WIN32)

    #Need env INCLUDE 
    set(CMAKE_INCLUDE_WIN "${CMAKE_C_COMPILER}")
    set(CMAKE_LIB_WIN "${CMAKE_C_COMPILER}")
    string(REGEX REPLACE "/bin/gcc.*" "/include"  CMAKE_INCLUDE_WIN "${CMAKE_INCLUDE_WIN}")
    string(REGEX REPLACE "/bin/gcc.*" "/lib"  CMAKE_LIB_WIN "${CMAKE_LIB_WIN}")
    set(INCLUDES ${INCLUDES} ${CMAKE_INCLUDE_WIN})
    
    if(BORLAND)			### BORLAND COMPILER
	    set(__BORLANDC__ 1)
	    set(CMAKE_COMPILER_IS_GNUCC 0)
	    set(MSVC 0)
	    set(_XBT_BORLANDC_COMPILER 1)
    endif(BORLAND)
    
    if(MSVC)	### MicroSoftVisualC COMPILER
	    set(__VISUALC__ 1)
	    set(BORLAND 0)
	    set(CMAKE_COMPILER_IS_GNUCC 0)
	    set(_XBT_VISUALC_COMPILER 1)
	    set(_MSC_VER 1)
        set(__STRICT_ANSI__ 1)
        set(_M_IX86 1)
    endif(MSVC)
    
    if(CMAKE_COMPILER_IS_GNUCC)
        set(__GNUC__ 1)
        exec_program("${CMAKE_C_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_C_VERSION")
        string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_C_VERSION "${COMPILER_C_VERSION}")
        string(REGEX MATCH "^[0-9]" COMPILER_C_MAJOR_VERSION "${COMPILER_C_VERSION}")
        string(REGEX MATCH "^[0-9].[0-9]" COMPILER_C_MINOR_VERSION "${COMPILER_C_VERSION}")
        string(REGEX REPLACE "^${COMPILER_C_MAJOR_VERSION}." "" COMPILER_C_MINOR_VERSION "${COMPILER_C_MINOR_VERSION}")
        if(COMPILER_C_MAJOR_VERSION)
           # set(__GNUC__ ${COMPILER_C_MAJOR_VERSION})
        endif(COMPILER_C_MAJOR_VERSION)
        if(COMPILER_C_MINOR_VERSION)
           # set(__GNUC_MINOR__ ${COMPILER_C_MINOR_VERSION})
        endif(COMPILER_C_MINOR_VERSION)
        set(MSVC 0)
	    set(BORLAND 0)
    endif(CMAKE_COMPILER_IS_GNUCC)
    
    if(ARCH_32_BITS)	### Arch 32bits
        set(_WIN32 1)
    else(ARCH_32_BITS)	### Arch 64bits
        set(_WIN64 1)
    endif(ARCH_32_BITS)
    
    set(_XBT_WIN32 1)
    
    message(STATUS "C_COMPILER			${CMAKE_C_COMPILER} ${COMPILER_C_VERSION}")
    message(STATUS "CXX_COMPILER			${CMAKE_CXX_COMPILER} ${COMPILER_CXX_VERSION}")
    message(STATUS "CMAKE_RC_COMPILER	        ${CMAKE_RC_COMPILER}")     
    message(STATUS "INCLUDE			${CMAKE_INCLUDE_WIN}")
    message(STATUS "LIB				${CMAKE_LIB_WIN}")
    message(STATUS "MAKE_PROGRAM			${CMAKE_MAKE_PROGRAM}")
    message(STATUS "CMAKE_BUILD_TOOL		${CMAKE_BUILD_TOOL}")
    message(STATUS "LINKER			${CMAKE_LINKER}")
    message(STATUS "CMAKE_GENERATOR		${CMAKE_GENERATOR}")
    message(STATUS "BORLAND			${BORLAND}")
    message(STATUS "VISUALC			${MSVC}")
    message(STATUS "GNUC			        ${CMAKE_COMPILER_IS_GNUCC}")
   
endif(WIN32)

include_directories(${INCLUDES})

### Determine the assembly flavor that we need today
include(CMakeDetermineSystem)
set(PROCESSOR_${CMAKE_SYSTEM_PROCESSOR} 1)

### Setup Options
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Option.cmake)

### Make the *.h files with *.h.in files
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/CompleteInFiles.cmake)

### Define source packages for Libs 
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/DefinePackages.cmake)

### Build some Maintainer files
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MaintainerMode.cmake)
if(NOT WIN32)
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/UnitTesting.cmake)
endif(NOT WIN32)

### Setup gcc flags
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Flags.cmake)

### Make Libs
if(NOT WIN32)
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MakeLib.cmake)
else(NOT WIN32)
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MakeLibWin.cmake)
endif(NOT WIN32)

### Make Exes
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MakeExe.cmake)

### Make tests
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/AddTests.cmake)
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/CTestConfig.cmake)

### Setup the distrib
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Distrib.cmake)

### Pipol compilation
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Pipol.cmake)

if(NOT WIN32)
### Build the doc
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/GenerateDoc.cmake)
endif(NOT WIN32)
### Print ARGS
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/PrintArgs.cmake)

INCLUDE(Dart)

=== teshsuite/xbt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(log_large_test log_large_test.c)
add_executable(parallel_log_crashtest parallel_log_crashtest.c)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(log_large_test gras m pthread )
target_link_libraries(parallel_log_crashtest gras m pthread )
else(NOT WIN32)
target_link_libraries(log_large_test gras)
target_link_libraries(parallel_log_crashtest gras)
endif(NOT WIN32)

=== tools/tesh/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")

add_executable(tesh tesh.c run_context.c signal.c)

### Add definitions for compile
target_link_libraries(tesh gras m pthread)

=== examples/amok/saturate/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/_saturate_simulator.c
							${CMAKE_CURRENT_BINARY_DIR}/_saturate_maestro.c
							${CMAKE_CURRENT_BINARY_DIR}/_saturate_sensor.c
							PROPERTIES GENERATED true)
							
set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(saturate_simulator 	${CMAKE_CURRENT_BINARY_DIR}/_saturate_simulator.c
									${CMAKE_CURRENT_SOURCE_DIR}/saturate.c)
add_executable(saturate_maestro ${CMAKE_CURRENT_BINARY_DIR}/_saturate_maestro.c
								${CMAKE_CURRENT_SOURCE_DIR}/saturate.c)
add_executable(saturate_sensor 	${CMAKE_CURRENT_BINARY_DIR}/_saturate_sensor.c
								${CMAKE_CURRENT_SOURCE_DIR}/saturate.c)

add_custom_command(
  					OUTPUT 	${CMAKE_CURRENT_BINARY_DIR}/_saturate_simulator.c
							${CMAKE_CURRENT_BINARY_DIR}/_saturate_maestro.c
							${CMAKE_CURRENT_BINARY_DIR}/_saturate_sensor.c
  					DEPENDS gras_stub_generator ${CMAKE_CURRENT_SOURCE_DIR}/saturate.xml
  					COMMAND ${CMAKE_BINARY_DIR}/bin/gras_stub_generator saturate ${CMAKE_CURRENT_SOURCE_DIR}/saturate.xml
					WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
					)
					
### Add definitions for compile
if(NOT WIN32)
target_link_libraries(saturate_simulator simgrid pthread m )
target_link_libraries(saturate_maestro gras pthread m )
target_link_libraries(saturate_sensor gras pthread m )
else(NOT WIN32)
target_link_libraries(saturate_simulator simgrid)
target_link_libraries(saturate_maestro gras)
target_link_libraries(saturate_sensor gras)
endif(NOT WIN32)

=== examples/msg/chord/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(chord "chord.c")

### Add definitions for compile
target_link_libraries(chord simgrid )

=== examples/msg/sendrecv/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(sendrecv sendrecv.c)

### Add definitions for compile
target_link_libraries(sendrecv simgrid m )

=== examples/msg/tracing/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")
set(LIBRARY_OUTPUT_PATH "${CMAKE_HOME_DIRECTORY}/lib")

add_executable(ms         ${CMAKE_CURRENT_SOURCE_DIR}/ms.c)
add_executable(categories ${CMAKE_CURRENT_SOURCE_DIR}/categories.c)
add_executable(tasks      ${CMAKE_CURRENT_SOURCE_DIR}/tasks.c)
add_executable(procmig    ${CMAKE_CURRENT_SOURCE_DIR}/procmig.c)

### Add definitions for compile
target_link_libraries(ms simgrid m )
target_link_libraries(categories simgrid m )
target_link_libraries(tasks simgrid m )
target_link_libraries(procmig simgrid m )

## Clean generated files
get_directory_property(extra_clean_files ADDITIONAL_MAKE_CLEAN_FILES)
set_directory_properties(
	PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
        "${extra_clean_files};${CMAKE_CURRENT_BINARY_DIR}/ms.cat.plist;${CMAKE_CURRENT_BINARY_DIR}/ms.trace;${CMAKE_CURRENT_BINARY_DIR}/ms.uncat.plist;")

=== examples/simdag/metaxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(sd_meta sd_meta.c)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(sd_meta simgrid pthread m )
else(NOT WIN32)
target_link_libraries(sd_meta simgrid)
endif(NOT WIN32)

=== teshsuite/simdag/platforms/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(basic_parsing_test basic_parsing_test.c)
add_executable(is_router_test is_router_test.c)
add_executable(flatifier flatifier.c)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(basic_parsing_test simgrid m pthread )
target_link_libraries(is_router_test simgrid m pthread )
target_link_libraries(flatifier simgrid m pthread )
else(NOT WIN32)
target_link_libraries(basic_parsing_test simgrid)
target_link_libraries(is_router_test simgrid)
target_link_libraries(flatifier simgrid)
endif(NOT WIN32)

=== teshsuite/simdag/network/mxn/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(test_intra_all2all test_intra_all2all.c)
add_executable(test_intra_independent_comm test_intra_independent_comm.c)
add_executable(test_intra_scatter test_intra_scatter.c)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(test_intra_all2all simgrid m pthread )
target_link_libraries(test_intra_independent_comm simgrid m pthread )
target_link_libraries(test_intra_scatter simgrid m pthread )
else(NOT WIN32)
target_link_libraries(test_intra_all2all simgrid)
target_link_libraries(test_intra_independent_comm simgrid)
target_link_libraries(test_intra_scatter simgrid)
endif(NOT WIN32)

=== debian/changelog ===
simgrid (3.6~rc2-1) unstable; urgency=low

  * New upstream version: Release candidate to 3.6 
    (There were two of them to take a last minute change into account)
  * First upload to unstable
  * Bump standards-version to 3.9.2

 -- Martin Quinson <mquinson@debian.org>  Tue, 24 May 2011 17:28:10 +0200

simgrid (3.6~b2-1) experimental; urgency=low

  * New upstream pre-release for the upcomming 3.6: beta1
    - fix the build on kfreebsd by disabling MMAP support 
      (we're using MMAP_ANONYMOUS, which is linux only)
    - most examples seem valgrind clean now
    - fix the make clean target: package should builds twice in a row
    - much less warnings in doxygen even if not perfect yet
    - disable tests using raw contextes on arch not providing them 
    - add a manpage for simgrid_update_xml
  * build-depend on libpcre3-dev to enable the Vivaldi routing model
  * Build manually the manpage for now since it's only activated in
    make simgrid_documentation target, that has too much B-D for us.

 -- Martin Quinson <mquinson@debian.org>  Tue, 19 Apr 2011 17:25:22 +0200

simgrid (3.6~b1-1) experimental; urgency=low

  * New upstream pre-release for the upcomming 3.6: beta1
    - Fix compilation on armel and kfreebsd buildd (hopefully)
    - Various other corrections: getting close to the release

 -- Martin Quinson <mquinson@debian.org>  Mon, 18 Apr 2011 17:40:45 +0200

simgrid (3.6~a1-1) experimental; urgency=low

  * Initial upload to Debian, based on an SVN snapshot. Closes: #615484.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 26 Feb 2011 23:17:59 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Package building rules for the SimGrid Debian Package.
# Strongly inspirated from the sample debhelper file, originally written by Joey Hess and Craig Small.
# Adapted to SimGrid by Lucas Nussbaum and Martin Quinson.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

# -Dprefix needed because SimGrid doesn't use CMAKE_INSTALL_PREFIX
override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
		-Dprefix=/usr

# FIXME renable tests at some point
override_dh_auto_test:
	dh_auto_test || true

override_dh_auto_build:
	dh_auto_build
	pod2man tools/simgrid_update_xml.pl > doc/simgrid_update_xml.1

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/simgrid/usr/bin/graphicator
	chrpath -d debian/simgrid/usr/bin/gras_stub_generator
	chrpath -d debian/simgrid/usr/bin/tesh
	# move doc to correct place
	mkdir -p debian/simgrid/usr/share/doc/simgrid
	mv debian/simgrid/usr/doc/simgrid/* debian/simgrid/usr/share/doc/simgrid/
	rm -rf debian/simgrid/usr/doc

## simgrid 3.6~rc3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 set(CMAKE_EXE_LINKER_FLAGS "" CACHE TYPE INTERNAL FORCE)
 ## Mapping version number -> version name
 # 3.5.99 -> alpha1 (oops)
-# 3.5.91 -> beta1
-# 3.5.92 -> beta2
-# 3.5.93 -> rc1
-# 3.5.94 -> rc2
+# 3.5.9{1,2} -> beta{1,2}
+# 3.5.9{3,4,5} -> rc{1,2,3}
+
+# 3.6.0 -> release 3.6 (not yet)
 set(SIMGRID_VERSION_MAJOR "3")
 set(SIMGRID_VERSION_MINOR "5")
-set(SIMGRID_VERSION_PATCH "94")
+set(SIMGRID_VERSION_PATCH "95")
 set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
 set(libsimgrid_version "${release_version}")
 set(libgras_version "${release_version}")

=== debian/changelog ===
simgrid (3.6~rc3-1) unstable; urgency=low

  * New upstream version: Third release candidate to 3.6
    - disable the tests that are not to be run in release settings
    - fix packaging issues, mainly impacting MacOS X users

 -- Martin Quinson <mquinson@debian.org>  Thu, 16 Jun 2011 15:56:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,14 @@
 override_dh_auto_test:
 	dh_auto_test || true
 
+# FIXME do not generate the manpage manually once it's fixed upstream
 override_dh_auto_build:
 	dh_auto_build
 	pod2man tools/simgrid_update_xml.pl > doc/simgrid_update_xml.1
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f doc/simgrid_update_xml.1 # FIXME: kill me once manpage generation is done properly upstream
 
 override_dh_auto_install:
 	dh_auto_install
@@ -32,3 +37,5 @@
 	mkdir -p debian/simgrid/usr/share/doc/simgrid
 	mv debian/simgrid/usr/doc/simgrid/* debian/simgrid/usr/share/doc/simgrid/
 	rm -rf debian/simgrid/usr/doc
+	# remove cruft introduced in 3.6~rc3
+	rm -r debian/simgrid/usr/tools

## simgrid 3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,19 @@
 set(CMAKE_C_FLAGS "" CACHE TYPE INTERNAL FORCE)
 set(CMAKE_CXX_FLAGS "" CACHE TYPE INTERNAL FORCE)
 set(CMAKE_EXE_LINKER_FLAGS "" CACHE TYPE INTERNAL FORCE)
+
 ## Mapping version number -> version name
 # 3.5.99 -> alpha1 (oops)
 # 3.5.9{1,2} -> beta{1,2}
 # 3.5.9{3,4,5} -> rc{1,2,3}
-
-# 3.6.0 -> release 3.6 (not yet)
+# 3.6.0 -> release 3.6 
+
 set(SIMGRID_VERSION_MAJOR "3")
-set(SIMGRID_VERSION_MINOR "5")
-set(SIMGRID_VERSION_PATCH "95")
+set(SIMGRID_VERSION_MINOR "6")
+set(SIMGRID_VERSION_PATCH "0")
+
+
+
 set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
 set(libsimgrid_version "${release_version}")
 set(libgras_version "${release_version}")

=== debian/changelog ===
simgrid (3.6-1) unstable; urgency=low

  * New upstream version: The 3.6 is ready now (yuhu)

 -- Martin Quinson <mquinson@debian.org>  Tue, 21 Jun 2011 09:24:10 +0200

=== debian/control ===
Source: simgrid
Section: science
Priority: extra
Maintainer: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Uploaders: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
Standards-Version: 3.9.2
Homepage: http://simgrid.gforge.inria.fr/
Vcs-Git: git://git.debian.org/git/collab-maint/simgrid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/simgrid.git


Package: simgrid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: lua5.1, f2c, gcc, make
Description: Toolkit for scalable simulation of distributed applications
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. The goal
 of the project is to facilitate research on parallel and distributed
 large-scale systems, such as Grids, P2P systems, and clouds. Its use-cases
 include heuristic evaluation, application prototyping, and real
 application development and tuning.

## simgrid 3.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,19 +12,22 @@
 # 3.5.99 -> alpha1 (oops)
 # 3.5.9{1,2} -> beta{1,2}
 # 3.5.9{3,4,5} -> rc{1,2,3}
-# 3.6.0 -> release 3.6 
+# 3.6.{0,1} -> release 3.6, 3.6.1
 
 set(SIMGRID_VERSION_MAJOR "3")
 set(SIMGRID_VERSION_MINOR "6")
-set(SIMGRID_VERSION_PATCH "0")
-
-
-
-set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
+set(SIMGRID_VERSION_PATCH "1")
+
+if(${SIMGRID_VERSION_PATCH} EQUAL "0")
+	set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
+else(${SIMGRID_VERSION_PATCH} EQUAL "0")
+	set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}.${SIMGRID_VERSION_PATCH}")
+endif(${SIMGRID_VERSION_PATCH} EQUAL "0")
 set(libsimgrid_version "${release_version}")
 set(libgras_version "${release_version}")
 set(libsmpi_version "${release_version}")
 set(GCC_NEED_VERSION "4.0")
+set(APPLE_NEED_GCC_VERSION "4.6")
 
 ### SET THE LIBRARY EXTENSION AND GCC VERSION
 if(APPLE) #MAC

=== examples/smpi/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(CMAKE_C_COMPILER "${CMAKE_BINARY_DIR}/bin/smpicc")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")
set(flags "-Dmain=smpi_simulated_main")
set(INCLUDES_bis "-I${CMAKE_HOME_DIRECTORY}/include/smpi")

add_definitions (${INCLUDES_bis} ${flags})

add_executable(alltoall2 alltoall2.c )
add_executable(alltoall_basic alltoall_basic.c)
add_executable(alltoallv alltoallv.c)
add_executable(allreduce allreduce.c)
add_executable(bcast bcast.c)
add_executable(bcbench bcbench.c)
add_executable(compute compute.c)
add_executable(compute2 compute2.c)
add_executable(compute3 compute3.c)
add_executable(pingpong pingpong.c)
add_executable(scatter scatter.c)
add_executable(reduce reduce.c)
add_executable(split split.c)
add_executable(mvmul mvmul.c)
add_executable(smpi_sendrecv sendrecv.c)
add_executable(smpi_traced smpi_traced.c)
add_executable(ttest01 ttest01.c)
add_executable(mc_bugged1 mc_bugged1.c)
add_executable(mc_bugged2 mc_bugged2.c)

target_link_libraries(alltoall2 m simgrid smpi )
target_link_libraries(alltoall_basic m simgrid smpi )
target_link_libraries(alltoallv m simgrid smpi )
target_link_libraries(allreduce m simgrid smpi )
target_link_libraries(bcast m simgrid smpi )
target_link_libraries(bcbench m simgrid smpi )
target_link_libraries(compute m simgrid smpi )
target_link_libraries(compute2 m simgrid smpi )
target_link_libraries(compute3 m simgrid smpi )
target_link_libraries(pingpong m simgrid smpi )
target_link_libraries(scatter m simgrid smpi )
target_link_libraries(reduce m simgrid smpi )
target_link_libraries(split m simgrid smpi )
target_link_libraries(mvmul m simgrid smpi )
target_link_libraries(smpi_sendrecv m simgrid smpi )
target_link_libraries(smpi_traced m simgrid smpi )
target_link_libraries(ttest01 m simgrid smpi )
target_link_libraries(mc_bugged1 m simgrid smpi )
target_link_libraries(mc_bugged2 m simgrid smpi )

set_target_properties(smpi_sendrecv PROPERTIES RENAME sendrecv)

=== examples/gras/ping/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/_ping_simulator.c
							${CMAKE_CURRENT_BINARY_DIR}/_ping_client.c 
							${CMAKE_CURRENT_BINARY_DIR}/_ping_server.c
                            PROPERTIES GENERATED true)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(ping_simulator 	${CMAKE_CURRENT_BINARY_DIR}/_ping_simulator.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_server.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_client.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_common.c)
add_executable(ping_client    	${CMAKE_CURRENT_BINARY_DIR}/_ping_client.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_client.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_common.c)
add_executable(ping_server    	${CMAKE_CURRENT_BINARY_DIR}/_ping_server.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_server.c
								${CMAKE_CURRENT_SOURCE_DIR}/ping_common.c)
add_custom_command(
  					OUTPUT 	${CMAKE_CURRENT_BINARY_DIR}/_ping_simulator.c 
         					${CMAKE_CURRENT_BINARY_DIR}/_ping_client.c 
	 						${CMAKE_CURRENT_BINARY_DIR}/_ping_server.c
  					DEPENDS gras_stub_generator ${CMAKE_CURRENT_SOURCE_DIR}/ping.xml
  					COMMAND ${CMAKE_BINARY_DIR}/bin/gras_stub_generator ping ${CMAKE_CURRENT_SOURCE_DIR}/ping.xml
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
					)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(ping_simulator simgrid pthread m )
target_link_libraries(ping_client gras pthread m )
target_link_libraries(ping_server gras pthread m )
else(NOT WIN32)
target_link_libraries(ping_simulator simgrid)
target_link_libraries(ping_client gras)
target_link_libraries(ping_server gras)
endif(NOT WIN32)

=== examples/gras/pmm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/_pmm_simulator.c 
							${CMAKE_CURRENT_BINARY_DIR}/_pmm_slave.c 
							${CMAKE_CURRENT_BINARY_DIR}/_pmm_master.c
							PROPERTIES GENERATED true)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(pmm_simulator 	${CMAKE_CURRENT_BINARY_DIR}/_pmm_simulator.c 
								${CMAKE_CURRENT_SOURCE_DIR}/pmm.c)
add_executable(pmm_slave 	${CMAKE_CURRENT_BINARY_DIR}/_pmm_slave.c 
							${CMAKE_CURRENT_SOURCE_DIR}/pmm.c)
add_executable(pmm_master 	${CMAKE_CURRENT_BINARY_DIR}/_pmm_master.c 
							${CMAKE_CURRENT_SOURCE_DIR}/pmm.c)

add_custom_command(
  					OUTPUT 	${CMAKE_CURRENT_BINARY_DIR}/_pmm_simulator.c 
							${CMAKE_CURRENT_BINARY_DIR}/_pmm_slave.c 
							${CMAKE_CURRENT_BINARY_DIR}/_pmm_master.c
  					DEPENDS gras_stub_generator ${CMAKE_CURRENT_SOURCE_DIR}/pmm.xml
  					COMMAND ${CMAKE_BINARY_DIR}/bin/gras_stub_generator pmm ${CMAKE_CURRENT_SOURCE_DIR}/pmm.xml
					WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
					)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(pmm_simulator simgrid pthread m )
target_link_libraries(pmm_slave gras pthread m )
target_link_libraries(pmm_master gras pthread m )
else(NOT WIN32)
target_link_libraries(pmm_simulator simgrid)
target_link_libraries(pmm_slave gras)
target_link_libraries(pmm_master gras)
endif(NOT WIN32)

=== examples/msg/masterslave/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(masterslave_failure "masterslave_failure.c")
add_executable(masterslave_forwarder "masterslave_forwarder.c")
add_executable(masterslave_mailbox "masterslave_mailbox.c")
add_executable(masterslave_bypass "masterslave_bypass.c")
add_executable(masterslave_console "masterslave_console.c")
add_executable(masterslave_cluster "masterslave_cluster.c")

### Add definitions for compile
if(WIN32)
target_link_libraries(masterslave_forwarder simgrid )
target_link_libraries(masterslave_failure simgrid )
target_link_libraries(masterslave_mailbox simgrid )
target_link_libraries(masterslave_bypass simgrid )
target_link_libraries(masterslave_console simgrid )
else(WIN32)
target_link_libraries(masterslave_forwarder simgrid m )
target_link_libraries(masterslave_failure simgrid m )
target_link_libraries(masterslave_mailbox simgrid m )
target_link_libraries(masterslave_bypass simgrid m )
target_link_libraries(masterslave_console simgrid m )
endif(WIN32)
target_link_libraries(masterslave_cluster simgrid)

=== examples/msg/mc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(centralized centralized_mutex.c)
add_executable(bugged1     bugged1.c)
add_executable(bugged2     bugged2.c)
add_executable(bugged3	   bugged3.c)
add_executable(random_test random_test.c)

target_link_libraries(centralized simgrid m )
target_link_libraries(bugged1     simgrid m )
target_link_libraries(bugged2     simgrid m )
target_link_libraries(bugged3     simgrid m )
target_link_libraries(random_test     simgrid m )

=== examples/msg/suspend/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(suspend suspend.c)

### Add definitions for compile
target_link_libraries(suspend simgrid m )

=== debian/changelog ===
simgrid (3.6.1-3ubuntu1) oneiric; urgency=low

  * Add cmake_files.diff: Fix link order for semaphore test to resolve
    FTBFS. (LP: #831269)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Sep 2011 15:19:29 -0400

simgrid (3.6.1-3) unstable; urgency=low

  * Add no-init-malloc.diff: fix FTBFS on Hurd.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 30 Jul 2011 11:44:55 +0200

simgrid (3.6.1-2) unstable; urgency=low

  * Add test_progs_return_type.diff: fix checking for semaphores on kFreeBSD.
    Closes: #632316

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 20 Jul 2011 23:58:50 +0200

simgrid (3.6.1-1) unstable; urgency=low

  * new upstream version (bug fix on MacOSX: no change for us)

 -- Martin Quinson <mquinson@debian.org>  Mon, 27 Jun 2011 14:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: simgrid
 Section: science
 Priority: extra
-Maintainer: Lucas Nussbaum <lucas@lucas-nussbaum.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lucas Nussbaum <lucas@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
 Standards-Version: 3.9.2

=== debian/watch ===
version=3
http://gforge.inria.fr/frs/?group_id=12 .*/simgrid-(.*)\.tar\.gz

## simgrid 3.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,11 @@
 # 3.5.99 -> alpha1 (oops)
 # 3.5.9{1,2} -> beta{1,2}
 # 3.5.9{3,4,5} -> rc{1,2,3}
-# 3.6.{0,1} -> release 3.6, 3.6.1
+# 3.6.{0,1,2} -> release 3.6, 3.6.1, 3.6.2
 
 set(SIMGRID_VERSION_MAJOR "3")
 set(SIMGRID_VERSION_MINOR "6")
-set(SIMGRID_VERSION_PATCH "1")
+set(SIMGRID_VERSION_PATCH "2")
 
 if(${SIMGRID_VERSION_PATCH} EQUAL "0")
 	set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
@@ -35,6 +35,7 @@
 else(APPLE)
     if(WIN32) #WINDOWS
         set(LIB_EXE "a")
+        set(BIN_EXE ".exe")
     else(WIN32) #UNIX
 	    set(LIB_EXE "so")
     endif(WIN32)
@@ -118,12 +119,12 @@
 
 ### Check 32bits or 64bits
 INCLUDE (CheckTypeSize)
-CHECK_TYPE_SIZE("long" SIZEOF_LONG)
-IF(SIZEOF_LONG EQUAL 4)
+CHECK_TYPE_SIZE("void*" SIZEOF_VOIDSTAR)
+IF(SIZEOF_VOIDSTAR EQUAL 4)
   SET(ARCH_32_BITS 1)
-ELSE(SIZEOF_LONG EQUAL 4)
+ELSE(SIZEOF_VOIDSTAR EQUAL 4)
   SET(ARCH_32_BITS 0)
-ENDIF(SIZEOF_LONG EQUAL 4)
+ENDIF(SIZEOF_VOIDSTAR EQUAL 4)
 
 if(WIN32)
 
@@ -170,9 +171,12 @@
     
     if(ARCH_32_BITS)	### Arch 32bits
         set(_WIN32 1)
+        set(NSIS_WIN_VERSION "win32")
     else(ARCH_32_BITS)	### Arch 64bits
         set(_WIN64 1)
+        set(NSIS_WIN_VERSION "win64")
     endif(ARCH_32_BITS)
+
     
     set(_XBT_WIN32 1)

=== testsuite/surf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(lmm_usage "lmm_usage.c")
add_executable(maxmin_bench "maxmin_bench.c")
add_executable(surf_usage "surf_usage.c")
add_executable(surf_usage2 "surf_usage2.c")
add_executable(trace_usage "trace_usage.c")

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(lmm_usage simgrid m ) 
target_link_libraries(maxmin_bench simgrid m ) 
target_link_libraries(surf_usage simgrid m ) 
target_link_libraries(surf_usage2 simgrid m ) 
target_link_libraries(trace_usage simgrid m )
else(NOT WIN32)
target_link_libraries(lmm_usage simgrid ) 
target_link_libraries(maxmin_bench simgrid ) 
set_target_properties(maxmin_bench PROPERTIES COMPILE_FLAGS "-DDLL_STATIC")
target_link_libraries(surf_usage simgrid ) 
target_link_libraries(surf_usage2 simgrid ) 
target_link_libraries(trace_usage simgrid )
endif(NOT WIN32)

=== testsuite/xbt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(log_usage "log_usage.c")
add_executable(graphxml_usage "graphxml_usage.c")
add_executable(heap_bench "heap_bench.c")

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(log_usage gras m )
target_link_libraries(graphxml_usage simgrid m )
target_link_libraries(heap_bench gras m )
else(NOT WIN32)
target_link_libraries(log_usage gras )
target_link_libraries(graphxml_usage simgrid )
target_link_libraries(heap_bench gras )
endif(NOT WIN32)

=== tools/graphicator/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")

add_executable(graphicator graphicator.c)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(graphicator simgrid m pthread )
else(NOT WIN32)
target_link_libraries(graphicator simgrid )
endif(NOT WIN32)

## Clean generated files
get_directory_property(extra_clean_files ADDITIONAL_MAKE_CLEAN_FILES)
set_directory_properties(
	PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
        "${extra_clean_files};${CMAKE_CURRENT_BINARY_DIR}/simgrid.trace;")

=== tools/gras/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")

add_executable(gras_stub_generator stub_generator.c unix_stub_generator.c windows_stub_generator.c)

### Add definitions for compile
if(NOT WIN32)
    target_link_libraries(gras_stub_generator simgrid pthread m)
else(NOT WIN32)
    target_link_libraries(gras_stub_generator simgrid)
endif(NOT WIN32)

=== examples/gras/spawn/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/_spawn_simulator.c
			                ${CMAKE_CURRENT_BINARY_DIR}/_spawn_server.c
			                PROPERTIES GENERATED true)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(spawn_simulator 	${CMAKE_CURRENT_BINARY_DIR}/_spawn_simulator.c 
				${CMAKE_CURRENT_SOURCE_DIR}/spawn.c)
add_executable(spawn_server	${CMAKE_CURRENT_BINARY_DIR}/_spawn_server.c 
				${CMAKE_CURRENT_SOURCE_DIR}/spawn.c)

add_custom_command(OUTPUT   ${CMAKE_CURRENT_BINARY_DIR}/_spawn_server.c
                            ${CMAKE_CURRENT_BINARY_DIR}/_spawn_simulator.c
                   DEPENDS gras_stub_generator ${CMAKE_CURRENT_SOURCE_DIR}/spawn.xml
                   COMMAND ${CMAKE_BINARY_DIR}/bin/gras_stub_generator spawn ${CMAKE_CURRENT_SOURCE_DIR}/spawn.xml
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                   )
          
### Add definitions for compile
if(NOT WIN32)
target_link_libraries(spawn_simulator simgrid pthread m )
target_link_libraries(spawn_server gras pthread m )
else(NOT WIN32)
target_link_libraries(spawn_simulator simgrid)
target_link_libraries(spawn_server gras)
endif(NOT WIN32)

=== examples/msg/gtnets/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(gtnets "gtnets.c")

### Add definitions for compile
target_link_libraries(gtnets simgrid m )

=== examples/msg/icomms/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(peer peer.c)
target_link_libraries(peer simgrid)

add_executable(peer2 peer2.c)
target_link_libraries(peer2 simgrid)

add_executable(peer3 peer3.c)
target_link_libraries(peer3 simgrid)

=== examples/msg/migration/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(migration migration.c)

### Add definitions for compile
target_link_libraries(migration simgrid m )

=== examples/msg/ns3/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(ns3 "ns3.c")

### Add definitions for compile
target_link_libraries(ns3 simgrid m )

=== examples/msg/parallel_contexts/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(pcontexts "pcontexts.c")
add_executable(pcontexts2 "pcontexts2.c")

### Add definitions for compile
if(WIN32)
target_link_libraries(pcontexts simgrid )
target_link_libraries(pcontexts2 simgrid )
else(WIN32)
target_link_libraries(pcontexts simgrid m )
target_link_libraries(pcontexts2 simgrid m )
endif(WIN32)

=== examples/simdag/dax/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(dax_test dax_test.c)

### Add definitions for compile
if(NOT WIN32)
target_link_libraries(dax_test simgrid pthread m )
else(NOT WIN32)
target_link_libraries(dax_test simgrid)
endif(NOT WIN32)

=== debian/changelog ===
simgrid (3.6.2-1) unstable; urgency=low

  * New upstream release ("Not coding new stuff allows to polish old things")
    - Portability to Mac and Windows improved.
    - Possible misconfigurations (contextes, libPCRE) made impossible by 
      removing the option or providing sane default value.
    - Exerimental support to NS3 simulator as a backend.    
  * Drop test_progs_return_type.diff and no-init-malloc.diff: merged upstream.

 -- Martin Quinson <mquinson@debian.org>  Wed, 05 Oct 2011 16:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: simgrid
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lucas Nussbaum <lucas@debian.org>
+Maintainer: Lucas Nussbaum <lucas@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -37,5 +37,3 @@
 	mkdir -p debian/simgrid/usr/share/doc/simgrid
 	mv debian/simgrid/usr/doc/simgrid/* debian/simgrid/usr/share/doc/simgrid/
 	rm -rf debian/simgrid/usr/doc
-	# remove cruft introduced in 3.6~rc3
-	rm -r debian/simgrid/usr/tools
